Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class IFGraphicContext.Viewport

    java.lang.Object
      org.apache.fop.render.intermediate.IFGraphicContext.Group
          org.apache.fop.render.intermediate.IFGraphicContext.Viewport

Enclosing class:
  IFGraphicContext

    public static class IFGraphicContext.Viewport

extends IFGraphicContext.Group

a viewport

Constructor Summary
`IFGraphicContext.Viewport(java.awt.geom.AffineTransform[] transforms, java.awt.Dimension size, java.awt.Rectangle clipRect)` Construct a viewport.
`IFGraphicContext.Viewport(java.awt.geom.AffineTransform transform, java.awt.Dimension size, java.awt.Rectangle clipRect)` Construct a viewport.

Method Summary
`void` | `end(IFPainter painter)`
`java.awt.Rectangle` | `getClipRect()`
`java.awt.Dimension` | `getSize()`
`void` | `start(IFPainter painter)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.render.intermediate.IFGraphicContext.Group
`getLayer, getTransforms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IFGraphicContext.Viewport

    public IFGraphicContext.Viewport(java.awt.geom.AffineTransform[] transforms,
                                     java.awt.Dimension size,
                                     java.awt.Rectangle clipRect)

  Construct a viewport.

  Parameters:
    `transforms` - an array of transforms
    `size` - a dimension
    `clipRect` - a clip rectangle

### IFGraphicContext.Viewport

    public IFGraphicContext.Viewport(java.awt.geom.AffineTransform transform,
                                     java.awt.Dimension size,
                                     java.awt.Rectangle clipRect)

  Construct a viewport.

  Parameters:
    `transform` - a transform
    `size` - a dimension
    `clipRect` - a clip rectangle

Method Detail

### getSize

    public java.awt.Dimension getSize()

  Returns:
    the viewport's size

### getClipRect

    public java.awt.Rectangle getClipRect()

  Returns:
    the clip rectangle

### start

    public void start(IFPainter painter)
               throws IFException

  Overrides:
    `start` in class `IFGraphicContext.Group`
  Parameters:
    `painter` - a painter
  Throws:
    `IFException` - in not caught

### end

    public void end(IFPainter painter)
             throws IFException

  Overrides:
    `end` in class `IFGraphicContext.Group`
  Parameters:
    `painter` - a painter
  Throws:
    `IFException` - in not caught

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IFGraphicContext.Group`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.